/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.monitoring.vo {
import com.adobe.cairngorm.vo.IValueObject;

/**
 * @author Guillaume Renault
 */
[Bindable]
public class EventDataVO implements IValueObject {

    private var _timestamp:Number;

    private var _value:String = "";

    private var _serid:String = "";

    public function EventDataVO():void {
    }

    public function get timestamp():Number {
        return _timestamp;
    }

    public function set timestamp(value:Number):void {
        _timestamp = value;
    }

    public function set value(v:String):void {
        this._value = v;
    }

    public function get value():String {
        return this._value;
    }

    public function set serid(v:String):void {
        this._serid = v;
    }

    public function get serid():String {
        return this._serid;
    }

}
}
