/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: JasmineEventNotificationDetailVO.as 8777 2011-08-31 14:22:51Z diorcety $
 * --------------------------------------------------------------------------
 */

package org.ow2.jasmine.monitoring.eos.monitoring.vo {
import com.adobe.cairngorm.vo.IValueObject;

/**
 * Detail of a notification. Associated to the
 * org.ow2.jasmine.event.beans.JasmineEventNotificationDetail java class.
 */
[Bindable]
public class JasmineEventNotificationDetailVO implements IValueObject {

    private var _label:String;

    private var _message:String;

    public function JasmineEventNotificationDetailVO() {
    }

    public function get label():String {
        return _label;
    }

    public function set label(value:String):void {
        _label = value;
    }

    public function get message():String {
        return _message;
    }

    public function set message(value:String):void {
        _message = value;
    }
}
}